Distribution:   CCux
Summary:	FFmpeg based gstreamer plugin

Packager:	Karsten Brockmann <arcam@ccux-linux.de>
Name:		gst-ffmpeg10
Version:	0.10.1
Release:	1
Provides:	%{name}
License:	GPL
URL:		http://gstreamer.freedesktop.org/modules/gst-ffmpeg.html
Group:		Video
Source0:	gst-ffmpeg-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	gstreamer10-devel 
BuildRequires:  gst-plugins-base-devel 
BuildRequires:  pkg-config
BuildRequires:  glibc-devel
BuildRequires:  libstdc++-devel
BuildRequires:  libxml2-devel
BuildRequires:  zlib
Requires:	gstreamer10 

%description
FFmpeg based gstreamer plugin. This is a plugin for the 0.10.x incarnation of gstreamer.


%post
ldconfig
gst-register

%postun
ldconfig
gst-register

%prep
%setup -n gst-ffmpeg-%{version}

%build
./configure \
--prefix=%_prefix \
--mandir=%_mandir \
--enable-shared
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
# stripping package
find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';' 

%files
%defattr(-,root,root)
%_libdir

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sun May 07 2006 Karsten Brockmann <arcam@ccux-linux.de> 0.10.1-1
- Initial Release
